public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alexys Jacob" <ultrabug@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/gevent/
Date: Mon, 15 Oct 2018 09:28:37 +0000 (UTC)	[thread overview]
Message-ID: <1539595693.50ec09e2f7ea3389b1cec39e696c1f1c7fca6995.ultrabug@gentoo> (raw)

commit:     50ec09e2f7ea3389b1cec39e696c1f1c7fca6995
Author:     Ultrabug <ultrabug <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 15 09:28:13 2018 +0000
Commit:     Alexys Jacob <ultrabug <AT> gentoo <DOT> org>
CommitDate: Mon Oct 15 09:28:13 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=50ec09e2

dev-python/gevent: version bump

Signed-off-by: Alexys Jacob <ultrabug <AT> gentoo.org>
Package-Manager: Portage-2.3.50, Repoman-2.3.11

 dev-python/gevent/Manifest            |  1 +
 dev-python/gevent/gevent-1.3.7.ebuild | 72 +++++++++++++++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/dev-python/gevent/Manifest b/dev-python/gevent/Manifest
index c1ba8a1b927..86bf972ee6c 100644
--- a/dev-python/gevent/Manifest
+++ b/dev-python/gevent/Manifest
@@ -2,3 +2,4 @@ DIST gevent-1.0.1.tar.gz 1455636 BLAKE2B 1de7c6986db96f8568a43aef1ff3c9b80b09047
 DIST gevent-1.2.1.tar.gz 2808619 BLAKE2B 2e3c15adb33401012951f0f93fe7f17c1c7597bb4021a4a9ebc7ecae390565d9892bb2fffe9cdac4f7e207d97d50da5d335ed8e42070d67d6be617cf955eb0b4 SHA512 22740e8e114869c1f53bcfd6796226927a3a726d4fd49d104b947f0c97546c7490eabea98b4492db794e21d26d0aee85f1e40b01d386a47063b042a719e61726
 DIST gevent-1.2.2.tar.gz 3108671 BLAKE2B f80df00f58ae2f65aa7f65fc9eac5cbf63a0084f24ccebc71ba9bafba72cd48fff2e7d0b1d8de7939dc669d7708e120fc14077cc845fe3ce212d6a80a42b5158 SHA512 1e2dd544cffea62ee32de2e4066b3f4c121058a1211b89da281ec3882f3763217fe2d346ce38b66e27df9f59cfe05bb137d1608a681dd10eaf06a33dc22f531c
 DIST gevent-1.3.5.tar.gz 4609085 BLAKE2B 55cb4111c9eaf9bbf636c9f1ef8d695def15a92e5591a0c441aae27f41a126487b37b8cc7a701a43453109f24114e3a0c584dff4b9b202018fd8334f0bae8e8d SHA512 4fd6d66e62437c859d653de4e981500fb3a025e6608b91fbb3d5ba4d8f0bff7cce980c03484c1c160a608427979ca763a6660d40ffcb45df4abe5f152ce65d1c
+DIST gevent-1.3.7.tar.gz 4614437 BLAKE2B 43d50c36fba2bedf41a7b33d38180f096b18846146953fa68325155f4a3cb6edb7352b9bb4cff5c7eca7a06ac25dc5b3e82a04545704fd0d6f43e9839a8749a1 SHA512 6dba487a9527eb352dc6a5f57120bf7973da655b3a331cad6637271b626c6e9e5439b20ee8abd9035ecb36e5259c99c69dea5ecdb8fa7ad0dbe28876c4d746d8

diff --git a/dev-python/gevent/gevent-1.3.7.ebuild b/dev-python/gevent/gevent-1.3.7.ebuild
new file mode 100644
index 00000000000..8c3be0fa724
--- /dev/null
+++ b/dev-python/gevent/gevent-1.3.7.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} pypy )
+PYTHON_REQ_USE="ssl(+),threads(+)"
+
+inherit distutils-r1 flag-o-matic
+
+MY_PV=${PV/_beta/b}
+MY_P=${PN}-${MY_PV}
+
+DESCRIPTION="Coroutine-based network library"
+HOMEPAGE="http://gevent.org/ https://pypi.org/project/gevent/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~s390 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples"
+
+RDEPEND="
+	>=dev-libs/libev-4.23
+	>=net-dns/c-ares-1.12
+	>=dev-python/greenlet-0.4.14
+	virtual/python-greenlet[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+
+# Tests take long and fail terribly a few times.
+# It also seems that they require network access.
+RESTRICT="test"
+
+S=${WORKDIR}/${MY_P}
+
+python_prepare_all() {
+	export LIBEV_EMBED="false"
+	export CARES_EMBED="false"
+	export EMBED="false"
+
+	distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+	append-flags -fno-strict-aliasing
+}
+
+python_compile_all() {
+	use doc && emake -C doc html
+}
+
+python_test() {
+	cd src/greentest || die
+
+	GEVENT_RESOLVER=thread \
+		"${PYTHON}" testrunner.py --config known_failures.py || die
+	GEVENT_RESOLVER=ares GEVENTARES_SERVERS=8.8.8.8 \
+		"${PYTHON}" testrunner.py --config known_failures.py \
+		--ignore tests_that_dont_use_resolver.txt || die
+	GEVENT_FILE=thread \
+		"${PYTHON}" testrunner.py --config known_failures.py $(grep -l subprocess test_*.py) || die
+}
+
+python_install_all() {
+	local DOCS=( AUTHORS README.rst )
+	use doc && local HTML_DOCS=( doc/_build/html/. )
+	use examples && dodoc -r examples
+
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2018-10-15  9:28 UTC|newest]

Thread overview: 111+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-10-15  9:28 Alexys Jacob [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-11-07 15:43 [gentoo-commits] repo/gentoo:master commit in: dev-python/gevent/ Michał Górny
2022-10-15  8:04 Michał Górny
2022-10-15  8:04 Michał Górny
2022-03-21 21:25 Michał Górny
2022-03-21 20:54 Arthur Zamarin
2022-03-08 17:11 Jakov Smolić
2022-01-29 10:04 Jakov Smolić
2022-01-29 10:04 Jakov Smolić
2022-01-29  7:39 Arthur Zamarin
2022-01-29  7:27 Arthur Zamarin
2022-01-29  7:17 Arthur Zamarin
2021-12-28  4:51 Sam James
2021-12-24 19:52 Arthur Zamarin
2021-12-24 19:43 Arthur Zamarin
2021-11-16  2:53 Sam James
2021-10-29 18:32 Sam James
2021-10-28 14:00 Agostino Sarubbo
2021-10-24  4:51 Sam James
2021-10-24  0:19 Sam James
2021-09-22  6:51 Arthur Zamarin
2021-08-06  6:22 Michał Górny
2021-06-04 18:59 Michał Górny
2021-03-15 15:37 Marek Szuba
2021-02-26 14:35 Michał Górny
2021-02-26 13:53 Sam James
2021-02-26 10:57 Agostino Sarubbo
2021-02-25 18:58 Sam James
2021-02-25  8:36 Sergei Trofimovich
2021-02-25  8:19 Sergei Trofimovich
2021-02-24 22:09 Sam James
2021-01-27  3:58 Sam James
2021-01-27  3:06 Sam James
2021-01-25 14:09 Sam James
2021-01-25 14:06 Sam James
2021-01-21  1:16 Sam James
2021-01-18 15:34 Sam James
2021-01-17 16:16 Sam James
2020-12-27 19:43 Michał Górny
2020-12-22 20:06 Michał Górny
2020-12-22 20:06 Michał Górny
2020-12-08  0:37 Robin H. Johnson
2020-11-28 14:09 Sam James
2020-11-24  8:18 Michał Górny
2020-11-24  7:43 Agostino Sarubbo
2020-11-18  6:53 Agostino Sarubbo
2020-11-03  9:25 Sergei Trofimovich
2020-10-28 16:45 Sam James
2020-10-28  4:10 Sam James
2020-10-26 23:49 Sergei Trofimovich
2020-10-25 21:34 Thomas Deutschmann
2020-09-23  7:29 Michał Górny
2020-09-19 21:33 Michał Górny
2020-09-18 14:48 Michał Górny
2020-09-03 23:57 Sam James
2020-08-21 15:30 Agostino Sarubbo
2020-08-21 15:27 Agostino Sarubbo
2020-08-19  9:00 Sam James
2020-07-13 18:08 Sam James
2020-07-09 10:05 Louis Sautier
2020-07-09 10:05 Louis Sautier
2020-07-09  9:51 Michał Górny
2020-07-09  8:34 Agostino Sarubbo
2020-07-09  8:27 Agostino Sarubbo
2020-07-09  8:16 Agostino Sarubbo
2020-07-09  8:04 Agostino Sarubbo
2020-07-01 19:59 Aaron Bauman
2020-06-11  8:01 Michał Górny
2020-06-07  7:27 Michał Górny
2020-05-29  8:46 Michał Górny
2020-05-29  7:25 Michał Górny
2020-05-26 18:09 Michał Górny
2020-05-04 11:04 Michał Górny
2020-04-01 19:19 Mart Raudsepp
2020-04-01 17:13 Sergei Trofimovich
2020-03-27 10:42 Michał Górny
2020-03-25 17:44 Agostino Sarubbo
2020-03-25 16:14 Agostino Sarubbo
2020-03-25 15:25 Agostino Sarubbo
2020-03-25 15:24 Agostino Sarubbo
2020-03-25 15:23 Agostino Sarubbo
2020-03-25 13:50 Agostino Sarubbo
2020-03-16 20:09 Matt Turner
2020-03-15 12:08 Sergei Trofimovich
2020-01-27  7:22 Michał Górny
2020-01-26 22:43 Sebastian Pipping
2020-01-26 22:43 Sebastian Pipping
2019-12-02  2:48 Aaron Bauman
2019-03-16 18:53 Mikle Kolyada
2018-08-30 21:34 Matt Thode
2018-07-18  9:41 Alexys Jacob
2018-07-01 13:57 Mikle Kolyada
2018-06-27 22:15 Sergei Trofimovich
2018-03-03 21:07 Sergei Trofimovich
2017-12-13 20:09 Sergei Trofimovich
2017-11-29 20:13 Zac Medico
2017-11-29 19:44 Zac Medico
2017-06-04 10:42 Agostino Sarubbo
2017-06-02 20:02 Agostino Sarubbo
2017-05-10 16:41 Matt Thode
2017-05-02 17:43 Michał Górny
2017-03-28 20:24 Patrick McLean
2017-03-28 18:35 Patrick McLean
2016-08-21 17:46 Tim Harder
2016-05-29 14:19 Pacho Ramos
2016-04-05  7:15 Alexys Jacob
2016-03-25 15:17 Alexys Jacob
2016-02-28  7:32 Matt Thode
2015-11-06 10:44 Justin Lecher
2015-11-06  7:27 Justin Lecher
2015-09-11  3:23 Mike Frysinger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1539595693.50ec09e2f7ea3389b1cec39e696c1f1c7fca6995.ultrabug@gentoo \
    --to=ultrabug@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox